Skip to main content
`Ctrl`+`K`

# PetscObjectsGetObject

Get a pointer to a named object

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectsGetObject(const char name[], PetscObject *obj, const char *classname[])

Not Collective

## Input Parameter

- name - the name of an object

## Output Parameters

- obj - the object or `NULL` if there is no object, optional, pass in `NULL` if not needed

- classname - the name of the class of the object, optional, pass in `NULL` if not needed

## See Also

`PetscObject`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages